package cn.com.qmth.stmms.biz.campus.service;

import java.util.List;
import java.util.Map;

import cn.com.qmth.stmms.biz.campus.model.Campus;
import cn.com.qmth.stmms.biz.campus.query.CampusSearchQuery;

public interface CampusService {

    Campus save(Campus campus);

    Campus findById(Integer id);

    public Map<String, Campus> findBySchool(int schoolId);

    List<Campus> findBySchoolId(int schoolId);

    Campus findBySchoolAndName(int schoolId, String name);

    public CampusSearchQuery findByQuery(final CampusSearchQuery query);

    void deleteById(Integer id);

    void delete(Campus campus);

}
